options:
  formatter: stylish
  max-warnings: 0
rules:
  # Extends
  extends-before-mixins: 0
  extends-before-declarations: 0
  placeholder-in-extend: 0

  # Mixins
  mixins-before-declarations: 0

  # Line Spacing
  one-declaration-per-line: 1
  empty-line-between-blocks: 0
  single-line-per-selector: 0

  # Disallows
  no-color-keywords: 0
  no-color-literals: 0
  no-css-comments: 0
  no-debug: 0
  no-duplicate-properties: 1
  no-empty-rulesets: 0
  no-extends: 0
  no-ids: 0
  no-important: 0
  no-invalid-hex: 1
  no-mergeable-selectors: 0
  no-misspelled-properties: 1
  no-qualifying-elements: 0
  no-trailing-zero: 1
  no-transition-all: 0
  no-url-protocols: 0
  no-vendor-prefixes: 0
  no-warn: 0

  # Nesting
  force-attribute-nesting: 0
  force-element-nesting: 0
  force-pseudo-nesting: 0

  # Name Formats
  function-name-format: 0
  mixin-name-format: 0
  placeholder-name-format: 0
  variable-name-format: 
    - 0
    - convention: hyphenatedbem
    - allow-leading-underscore: true

  # Style Guide
  border-zero: 0
  brace-style: 0
  clean-import-paths: 0
  empty-args: 0
  hex-length: 0
  hex-notation: 0
  indentation: 0
  leading-zero: 0
  nesting-depth: 0
  property-sort-order: 0
  quotes: 0
  shorthand-values: 0
  url-quotes: 0
  variable-for-property: 0
  zero-unit: 0
  class-name-format: 0

  # Inner Spacing
  space-after-comma: 0
  space-before-colon: 0
  space-after-colon: 0
  space-before-brace: 0
  space-before-bang: 0
  space-after-bang: 0
  space-between-parens: 0

  # Final Items
  trailing-semicolon: 0
  final-newline: 0
